Skip to main content
GET
Get pull request

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

Response

GitHubPullRequestDetailResponse.

id
string
required
provider
string
required
workspace_id
string
required
repo_owner
string
required
repo_name
string
required
number
integer
required
title
string
required
state
string
required
html_url
string
required
branch
string | null
required
head_sha
string | null
required
author_login
string | null
required
author_avatar_url
string | null
required
merged_at
string | null
required
closed_at
string | null
required
pr_created_at
string
required
pr_updated_at
string
required
mergeable_state
string | null
required
mergeable
string | null
required
merge_state_status
string | null
required
checks_rollup
string | null
required
checks_conclusion
string | null
required
checks_total
integer
required
checks_passed
integer
required
checks_failed
integer
required
checks_running
integer
required
checks_pending
integer
required
failed_check_names
string[]
required
snapshot_stale
boolean
required
snapshot_fetched_at
string | null
required
snapshot_head_sha
string | null
required
additions
integer
required
deletions
integer
required
changed_files
integer
required
body
string
required
commits_count
integer
required
checks
object[]
required
preferred_merge_method
string
required
allow_merge_commit
boolean
required
allow_squash_merge
boolean
required
allow_rebase_merge
boolean
required
can_merge
boolean
required
snapshot_available
boolean | null
review_decision
string
review_task
object | null